Obtener objeto de archivo por ID.
curl --request GET \
--url https://api.olostep.com/v1/files/{file_id}/content \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/files/{file_id}/content"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/files/{file_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"created": 123,
"filename": "<string>",
"bytes": 123,
"download_url": "<string>",
"expires_in": 123
}Archivos
Obtener Contenido del Archivo
Descarga el contenido de un archivo completado. Devuelve el contenido del archivo JSON.
GET
/
v1
/
files
/
{file_id}
/
content
Obtener objeto de archivo por ID.
Autorizaciones
Encabezado de autenticación Bearer del formulario Bearer , donde es tu token de autenticación.
Parámetros de ruta
Identificador único para el archivo a descargar.
Parámetros de consulta
Número de segundos hasta que la URL de descarga expire. Por defecto es 600 segundos (10 minutos).
Respuesta
Respuesta exitosa con URL de descarga.
ID del Archivo
El tipo de objeto. "file" para este endpoint.
Marca de tiempo de época creada
El nombre del archivo del archivo subido
Tamaño del archivo en bytes
URL pre-firmada para descargar el archivo. Expira después del tiempo especificado en expires_in.
Número de segundos hasta que la URL de descarga expire.
¿Esta página le ayudó?